<h2>{{ "Military.Wars.Title" | translate }}</h2>
<nz-table #warsTable [nzData]="list" style="overflow-x: auto; white-space: nowrap;" [nzNoResult]="noWars" [nzLoading]="isLoading" nzSize="small">
  <thead>
    <tr>
      <th nzAlign="center">{{ "Military.Battles.Attacker" | translate }}</th>
      <th nzAlign="center">{{ "Military.Battles.Defender" | translate }}</th>
      <th nzAlign="center">{{ "Military.Battles.StartDate" | translate }}</th>
      <th nzAlign="center">{{ "Military.Battles.Status" | translate }}</th>
      <th width="10%"></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of warsTable.data">
      <td [routerLink]="['/country', item.attacker?.id]" nzAlign="center">
        <a href="/country/{{ item.attacker?.id }}" target="_blank">
          <img [src]="item.attacker?.flagLocation" width="30" height="30" style="margin-right: 10px" />
          {{ item.attacker?.name }}
        </a>
      </td>
      <td [routerLink]="['/country', item.defender?.id]" nzAlign="center">
        <a href="/country/{{ item.defender?.id }}" target="_blank">
          <img [src]="item.defender?.flagLocation" width="30" height="30" style="margin-right: 10px" />
          {{ item.defender?.name }}
        </a>
      </td>
      <td nzAlign="center">{{ item.startDateTime }}</td>
      <td nzAlign="center">
        <nz-tag nzColor="{{ item.endDateTime ? 'green' : 'red' }}">
          {{ item.endDateTime ? ("Military.Battles.finishOn" | translate) + ' ' + item.endDateTime : ("Military.Battles.Ongoing" | translate) }}
        </nz-tag>
      </td>
      <td nzAlign="center">
        <button nz-button nzShape="round" nzType="default" [routerLink]="['/war', item.id]" nzSize="small" nzShape="round">
          <a href="/war/{{ item.id }}" nz-tooltip="View">
            <span nz-icon nzType="eye" nzTheme="outline"></span>
          </a>
        </button>
      </td>
    </tr>
  </tbody>
  <ng-template #noWars>
    <div style="text-align: center">
<!--       <i class="fas fa-dove fa-5x"></i> -->
<img src="../../../../assets/img/icons/peace.d.png"  style="width: 10%;">

      <div style="margin-top: 20px">{{ "Wars.NoWars" | translate }}</div>
    </div>
  </ng-template>
</nz-table>

<nz-divider></nz-divider>
<h3>{{ "Military.Armies" | translate }}</h3>
<app-army-list [countryId]="country.id" [showActions]="false"></app-army-list>